{
  description = "MusicQueue";


  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs = { self, nixpkgs, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in
    {
      devShells.${system}.default =
        pkgs.mkShell
          {
            buildInputs = [
              pkgs.git
              pkgs.ddev
              pkgs.php82
              pkgs.php82Packages.composer
              pkgs.bun
            ];

            shellHook = ''            
            '';
          };
    };
}
